import request from '@/utils/request';
import { AxiosPromise } from 'axios';
/**
 * 查询设备列表
 * @param query
 */
export const userList = (params): AxiosPromise => {
  return request({
    url: '/app/user/list',
    method: 'get',
    params
  });
};
// 绑定设备列表
export const deviceList = (params): AxiosPromise => {
  return request({
    url: '/api/app/device',
    method: 'get',
    params
  });
};
// 账号状态
export const userStatus = (data): AxiosPromise => {
  return request({
    url: '/api/app/device',
    method: 'put',
    data
  });
};

export default { userList,deviceList,userStatus }